{% extends 'base.html.twig' %}

{% block title %}Projet index{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('css/index.css') }}">
{% endblock %}

{% block body %}
    <h1>Projet index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nom</th>
                <th>Line</th>
                <th>Description</th>
                <th>Url</th>
                <th>Git</th>
                <th>Image_card</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for projet in projets %}
            <tr>
                <td>{{ projet.id }}</td>
                <td>{{ projet.nom }}</td>
                <td>{{ projet.line }}</td>
                <td>{{ projet.description }}</td>
                <td>{{ projet.url }}</td>
                <td>{{ projet.git }}</td>
                <td>{{ projet.imageCard }}</td>
                <td>
                    <a href="{{ path('app_projet_show', {'id': projet.id}) }}">show</a>
                    <a href="{{ path('app_projet_edit', {'id': projet.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="8">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_projet_new') }}">Create new</a>
{% endblock %}


{% for projet in projets %}
        <a href="{{ projet.id }}">
            <div class="projet-card">
                <img src="{{ projet.imagecard }}" alt="projet {{ projet.nom }}">
                <p>{{ projet.nom }}</p>
                <p>{{ projet.line }}</p>
            </div>
        </a>
    {% else %}
        <p>aucun projet trouvé</p>
    {% endfor %}

